## smstools 1.5.0

=== Makefile ===
# Makefile

all: compile

install: compile
	cp bin/* /usr/local/bin
	test -d /var/spool/sms          || mkdir /var/spool/sms
	test -d /var/spool/sms/incoming || mkdir /var/spool/sms/incoming
	test -d /var/spool/sms/outgoing || mkdir /var/spool/sms/outgoing
	test -d /var/spool/sms/failed   || mkdir /var/spool/sms/failed
	test -f /etc/smsd.conf          || cp examples/smsd.conf /etc
	chmod a+rwx /var/spool/sms/outgoing
	chmod a+rwx /var/spool/sms/incoming

clean:
	rm -f src/*.o
	rm -f bin/*

compile:
	cd src ; make

package: clean
	cd ..;tar -cvzf smstools.tar.gz smstools
	cp ../smstools.tar.gz ../smstools-`grep package_version src/version.h | cut -f2`.tar.gz 
	cp ../smstools-`grep package_version src/version.h | cut -f2`.tar.gz /dokumente/homepages/stefanfrings/smstools
