=== src/Makefile ===
# Makefile

OBJ = extras.o locking.o cfgfile.o smsd_cfg.o charset.o stats.o blacklist.o logging.o
OBJ2 = extras.o locking.o cfgfile.o charset.o logging.o modeminit.o

all: ../bin/smsd ../bin/getsms ../bin/putsms

../bin/smsd: smsd.c $(OBJ)
	gcc `mm-config --cflags` -o ../bin/smsd smsd.c $(OBJ) `mm-config --ldflags --libs`

../bin/getsms: $(OBJ2)
	gcc -o ../bin/getsms getsms.c $(OBJ2)

../bin/putsms: putsms.c $(OBJ2)
	gcc -o ../bin/putsms putsms.c $(OBJ2)

clean:
	rm *.o
