## smstools 1.14.8

=== Makefile ===
# Makefile

VERSION=$(shell grep package_version src/version.h | cut -f2)

compile: 
	cd src && $(MAKE) -$(MAKEFLAGS) 

install: compile
	./install.sub

clean:
	cd src && $(MAKE) -$(MAKEFLAGS) clean

package: compile clean
	./package.sub
