## smstools 1.14.10

=== src/Makefile ===
--- 
+++ 
@@ -5,10 +5,10 @@
 # CFLAGS = -D SOLARIS
 
 # Uncomment to compile without statistic functions and without mm library
-#CFLAGS += -D NOSTATS
+# CFLAGS += -D NOSTATS
 
 # Uncomment to add debug info
-CFLAGS += -ggdb -O0
+# CFLAGS += -ggdb -O0
 
 all: ../bin/smsd ../bin/getsms ../bin/putsms
