## smstools 1.16

=== src/Makefile ===
--- 
+++ 
@@ -4,11 +4,14 @@
 # Uncomment for Solaris
 # CFLAGS = -D SOLARIS
 
-# Uncomment to compile without statistic functions and without mm library
-# CFLAGS += -D NOSTATS
+# Comment this out, to enable statistics
+CFLAGS += -D NOSTATS
 
 # Uncomment to add debug info
 # CFLAGS += -ggdb -O0
+
+# Uncomment to enable all compiler warnings (only for testing)
+# CFLAGS += -Wall
 
 all: ../bin/smsd ../bin/getsms ../bin/putsms
