## smstools 3.0.2

=== Makefile ===
--- 
+++ 
@@ -6,10 +6,13 @@
 	cd src && $(MAKE) -$(MAKEFLAGS) 
 
 install: compile
-	./install.sub
+	./install.sh
+
+uninstall: 
+	./uninstall.sh
 
 clean:
 	cd src && $(MAKE) -$(MAKEFLAGS) clean
 
 package: compile clean
-	./package.sub
+	./package.sh
