## smstools 3.0.10

=== src/Makefile ===
--- 
+++ 
@@ -1,10 +1,14 @@
-# In case of windows, modification is not necessary anymore.
+# In case of windows, use os_cygwin=yes setting in the configuration file (smsd.conf).
 
 # Uncomment for Solaris
 # CFLAGS = -D SOLARIS
+# CC=gcc
 
 # Comment this out, to enable statistics
 CFLAGS += -D NOSTATS
+
+# Uncomment this to force smsd to run in terminal mode
+#CFLAGS += -D TERMINAL
 
 # Uncomment to add debug info
 # CFLAGS += -ggdb -O0
@@ -23,6 +27,5 @@
 	@echo "(Please ignore warning about tempnam -- it is used in a safe way)"
 endif
 
-
 clean:
 	rm -f *.o smsd *.exe
