## smstools 3.1

=== src/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Uncomment for Solaris
 # CFLAGS = -D SOLARIS
+# This might be also needed for Solaris:
 # CC=gcc
 
 # Comment this out, to enable statistics
