## smstools 3.1.6

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,10 @@
 # In case of windows, use os_cygwin=yes setting in the configuration file (smsd.conf).
 
+# Select your setup size:
+CFLAGS = -D NUMBER_OF_MODEMS=64
+
 # Uncomment for Solaris
-# CFLAGS = -D SOLARIS
+# CFLAGS += -D SOLARIS
 # This might be also needed for Solaris:
 # CC=gcc
 
@@ -14,9 +17,13 @@
 # Uncomment to add debug info
 # CFLAGS += -ggdb -O0
 
-# The following options are only used by developers
-# CFLAGS += -Wall 
+# The following option is only used by developers
 # CFLAGS += -D DEBUGMSG
+
+CFLAGS += -Wall 
+
+# The following enables logfile size more than 2GB
+CFLAGS += -D_FILE_OFFSET_BITS=64
 
 all: smsd 
 
@@ -25,8 +32,7 @@
 	  $(CC) $(CFLAGS) -o $@ $^
 else 
 	  $(CC) `mm-config --cflags` $(CFLAGS) -o $@ $^ `mm-config --ldflags --libs`
-	@echo "(Please ignore warning about tempnam -- it is used in a safe way)"
 endif
 
 clean:
-	rm -f *.o smsd *.exe
+	rm -f *.o smsd *.exe *~
