=== debian/changelog ===
smstools (3.1.21-6) unstable; urgency=medium

  * debian/control: remove outdated debconf version constraint
                    (Closes: #1096121)
                    thanks a lot to Gioele Barabucci for the MR
  * debian/control: bump standard to 4.7.2 (no changes)
  * debian/control: remove dependency on quilt
  * debian/rules: remove include of quilt.make
                  (Closes:  #1115217)
                  thanks a lot to Alexandre Detiste for trying to
                  get rid of quilt.make
  * debian/logcheck/smstools: update regex to be compatible with
                              systemd-journal and syslog
                              (Closes: #1050488)
                              thanks a lot to Vaclav Ovsik for the patch
  * debian/service: add autogenerated file as a start
                    (Closes: #1039371)
                    (I am open for improvements)
  * add gbp.conf

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 03 Oct 2025 08:39:26 +0200

smstools (3.1.21-5) unstable; urgency=medium

  * add sms-only-registration.patch
    a Telco in the wild changed some bits

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 25 May 2025 18:39:26 +0200

smstools (3.1.21-4) unstable; urgency=medium

  * take care of gcc10 errors (Closes: #957818)
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12
  * debian/patches/spelling.patch: add more stuff noted by lintian

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 05 Aug 2020 21:39:26 +0200

smstools (3.1.21-3) unstable; urgency=medium

  * move package to salsa
  * debian/control: use dh11
  * debian/control: bump standard to 4.1.5 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Jul 2018 19:39:26 +0200

smstools (3.1.21-2) unstable; urgency=medium

  * move to unstable
  * debian/control: bump standard to 4.1.1 (no changes)
  * debian/control: move maintainer to mobcom
  * debian/control: add VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 13 Oct 2017 19:39:26 +0200

smstools (3.1.21-1) experimental; urgency=medium

  * new upstream version
  * Version >= 3.1.16 now respects TMPDIR and TEMPDIR variables.
    (Closes: #635717)
  * Version 3.1.17 can now use inotifywait, if user wants and needs
    to use it (smsd.conf: notifier = yes/no).
    (Closes: #703687)
  * CPU usage spikes fixed in 3.1.16 (Closes: #688451)
  * using "modern" rules file and docu should be available on all archs
    (Closes: #593934)
  * Zombie-issue is fixed in the version >= 3.1.16.
    (Closes: #569346)
  * Message delay is fixed in the version >= 3.1.16.
    (Closes: #755898)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 10 May 2017 19:39:26 +0200

smstools (3.1.15-3) experimental; urgency=medium

  * new maintainer (Closes: #839973)
  * debian/compat: use dh 10
  * debian/control: bump standard to 3.9.8 (no changes)
  * debian/postinst: add "--home /nonexistent" to adduser call
  * debian/source/format: switch format to 3.0 (quilt)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 07 Apr 2017 18:39:26 +0200

smstools (3.1.15-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #839973)
  * Add the lsb-base dependency required for the init script.
  * Add Dutch debconf template translation from Frans Spiesschaert.
    (Closes: #766196)

 -- Adrian Bunk <bunk@debian.org>  Sun, 22 Jan 2017 01:39:26 +0200

smstools (3.1.15-1.2) unstable; urgency=high

  * NMU by Jonas Meurer to push the fix into Jessie.
  * Fix initscript (debian/init.d):
    * drop action 'reload' as it does not what policy demands it to do. Use
      'force-reload' in logrotate post-rotate action. This fixes 'force-reload'
      action when used through systemd tools and prevents the smsd daemon
      process from being killed at every log rotation. (closes: #782996)
    * source /lib/lsb/init-functions in order to make systemd tools aware of
      status changes to the daemon that have been caused by invoking the
      initscript directly.

 -- Jonas Meurer <mejo@debian.org>  Mon, 27 Apr 2015 20:45:40 +0200

smstools (3.1.15-1.1) unstable; urgency=low

  * NMU - preventing smstools from entering jessie.
  * Fix syntax error in src/Makefile, override in wrong place.
    debian/patches/fix-makefile-override.patch
    (Closes: #750350)

 -- Russell Stuart <russell-debian@stuart.id.au>  Thu,  9 Oct 2014 17:07:32 +1000

smstools (3.1.15-1) unstable; urgency=low

  * New upstream release:
    - Includes fix for segfault when run with 'smsd -s', so drop the patch
  * Acknowledge NMUs, thanks to Moritz Muehlenhoff and Gregor Herrman
  * Update to standards version 3.9.5; no changes needed
  * Bugfix to init script: Make reload target status-aware, so that stopped
    services are not started on reload
    (Closes: #709014)

 -- Patrick Schoenfeld <patrick.schoenfeld@credativ.de>  Fri, 08 Nov 2013 11:39:45 +0100

smstools (3.1.14-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "smsd -s produces Segmentation fault":
    add new patch processid.patch, backported from 3.1.15 release:
    "When creating a lockfile, main process used incorrect offset -1 with the
    table of names of processes. This caused segmentation fault when smsd was
    compiled using latest compilers."
    (Closes: #682416)

 -- gregor herrmann <gregoa@debian.org>  Mon, 12 Nov 2012 19:03:31 +0100

smstools (3.1.14-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Enable hardened build flags (Closes: #656531)
  * Add Danish debconf translation, thanks to Joe Dalton (Closes: #662043)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 24 Jun 2012 22:43:34 +0200

smstools (3.1.14-1) unstable; urgency=low

  * New upstream release
  * Acknowledge NMU, thanks to Jan Wagner
  * Add a logrotate configuration file
  * Use the new quilt dh series and minimize debian/rules accordingly
  * Add new debconf template translations:
    + Brazilian Portugese translation, thanks to Jef Lui.
      (Closes: #592742)

