=== debian/control ===
Source: smstools
Section: comm
Priority: optional
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 12)
	, libmm-dev
	, po-debconf
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/smstools
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/smstools.git
Homepage: http://smstools3.kekekasvi.com
Standards-Version: 4.7.2

Package: smstools
Architecture: any
Depends: ucf (>= 0.28)
	, adduser
	, ${shlibs:Depends}
	, ${misc:Depends}
	, lsb-base
Description: SMS server tools for GSM modems
 The SMS server tools allow setting up a central SMS gateway. It
 sends and receives SMS messages using a simple file-based
 interface. It can accommodate up to 20,000 messages a month.
 .
 It supports an event-handler option that allows calling customized
 programs or scripts after sending or receiving SMS messages.
 .
 The SMS Server Tools use one or more (max. 32) GSM modems to send and
 receive SMS messages. Some modems may be equipped with SIM cards such
 as Vodafone or Telmi ones.  All messages are sorted in queues by the
 provider. If one modem fails, it will be deactivated for one hour
 before the software retries, while other modems run without any
 restriction. The status information and alarms are logged with
 syslog.
