=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_install:
	# Fix permissions
	chmod 644 scripts/smstest.php
	dh_auto_install
	# Install changelogs
	dh_installchangelogs doc/history3.html
#	dh_installdocs doc -Xhistory3.html
#	mv debian/smstools/usr/share/doc/smstools/doc debian/smstools/usr/share/doc/smstools/html
#	# Fix permissions
#	find debian/smstools/usr/share/doc/smstools -type f -exec chmod 644 \{\} \+
#	chmod 755 debian/smstools/usr/share/doc/smstools/examples/scripts/
#	# Fix permissions
#	chmod 644 scripts/smstest.php

%:
	dh $@
