=== debian/watch ===
version=4
https://smstools3.kekekasvi.com/index.php?p=packages	./packages/smstools3-([0-9.]*)\.tar\.gz	debian uupdate
